// Code generated by protoc-gen-go. DO NOT EDIT.
// source: adapter.proto

package adapter

import (
	context "context"
	fmt "fmt"
	math "math"

	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type OnActivateRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *OnActivateRequest) Reset()         { *m = OnActivateRequest{} }
func (m *OnActivateRequest) String() string { return proto.CompactTextString(m) }
func (*OnActivateRequest) ProtoMessage()    {}
func (*OnActivateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_e61775c223303111, []int{0}
}

func (m *OnActivateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_OnActivateRequest.Unmarshal(m, b)
}
func (m *OnActivateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_OnActivateRequest.Marshal(b, m, deterministic)
}
func (m *OnActivateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_OnActivateRequest.Merge(m, src)
}
func (m *OnActivateRequest) XXX_Size() int {
	return xxx_messageInfo_OnActivateRequest.Size(m)
}
func (m *OnActivateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_OnActivateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_OnActivateRequest proto.InternalMessageInfo

type OnActivateResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *OnActivateResponse) Reset()         { *m = OnActivateResponse{} }
func (m *OnActivateResponse) String() string { return proto.CompactTextString(m) }
func (*OnActivateResponse) ProtoMessage()    {}
func (*OnActivateResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_e61775c223303111, []int{1}
}

func (m *OnActivateResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_OnActivateResponse.Unmarshal(m, b)
}
func (m *OnActivateResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_OnActivateResponse.Marshal(b, m, deterministic)
}
func (m *OnActivateResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_OnActivateResponse.Merge(m, src)
}
func (m *OnActivateResponse) XXX_Size() int {
	return xxx_messageInfo_OnActivateResponse.Size(m)
}
func (m *OnActivateResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_OnActivateResponse.DiscardUnknown(m)
}

var xxx_messageInfo_OnActivateResponse proto.InternalMessageInfo

type OnDeactivateRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *OnDeactivateRequest) Reset()         { *m = OnDeactivateRequest{} }
func (m *OnDeactivateRequest) String() string { return proto.CompactTextString(m) }
func (*OnDeactivateRequest) ProtoMessage()    {}
func (*OnDeactivateRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_e61775c223303111, []int{2}
}

func (m *OnDeactivateRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_OnDeactivateRequest.Unmarshal(m, b)
}
func (m *OnDeactivateRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_OnDeactivateRequest.Marshal(b, m, deterministic)
}
func (m *OnDeactivateRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_OnDeactivateRequest.Merge(m, src)
}
func (m *OnDeactivateRequest) XXX_Size() int {
	return xxx_messageInfo_OnDeactivateRequest.Size(m)
}
func (m *OnDeactivateRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_OnDeactivateRequest.DiscardUnknown(m)
}

var xxx_messageInfo_OnDeactivateRequest proto.InternalMessageInfo

type OnDeactivateResponse struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *OnDeactivateResponse) Reset()         { *m = OnDeactivateResponse{} }
func (m *OnDeactivateResponse) String() string { return proto.CompactTextString(m) }
func (*OnDeactivateResponse) ProtoMessage()    {}
func (*OnDeactivateResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_e61775c223303111, []int{3}
}

func (m *OnDeactivateResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_OnDeactivateResponse.Unmarshal(m, b)
}
func (m *OnDeactivateResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_OnDeactivateResponse.Marshal(b, m, deterministic)
}
func (m *OnDeactivateResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_OnDeactivateResponse.Merge(m, src)
}
func (m *OnDeactivateResponse) XXX_Size() int {
	return xxx_messageInfo_OnDeactivateResponse.Size(m)
}
func (m *OnDeactivateResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_OnDeactivateResponse.DiscardUnknown(m)
}

var xxx_messageInfo_OnDeactivateResponse proto.InternalMessageInfo

type StreamEventsRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StreamEventsRequest) Reset()         { *m = StreamEventsRequest{} }
func (m *StreamEventsRequest) String() string { return proto.CompactTextString(m) }
func (*StreamEventsRequest) ProtoMessage()    {}
func (*StreamEventsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_e61775c223303111, []int{4}
}

func (m *StreamEventsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StreamEventsRequest.Unmarshal(m, b)
}
func (m *StreamEventsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StreamEventsRequest.Marshal(b, m, deterministic)
}
func (m *StreamEventsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StreamEventsRequest.Merge(m, src)
}
func (m *StreamEventsRequest) XXX_Size() int {
	return xxx_messageInfo_StreamEventsRequest.Size(m)
}
func (m *StreamEventsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_StreamEventsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_StreamEventsRequest proto.InternalMessageInfo

type StreamEventsResponse struct {
	SourceTime           uint64   `protobuf:"varint,1,opt,name=SourceTime,proto3" json:"SourceTime,omitempty"`
	DataPoint            string   `protobuf:"bytes,2,opt,name=DataPoint,proto3" json:"DataPoint,omitempty"`
	EventType            string   `protobuf:"bytes,3,opt,name=EventType,proto3" json:"EventType,omitempty"`
	Metadata             []byte   `protobuf:"bytes,4,opt,name=Metadata,proto3" json:"Metadata,omitempty"`
	Payload              []byte   `protobuf:"bytes,5,opt,name=Payload,proto3" json:"Payload,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *StreamEventsResponse) Reset()         { *m = StreamEventsResponse{} }
func (m *StreamEventsResponse) String() string { return proto.CompactTextString(m) }
func (*StreamEventsResponse) ProtoMessage()    {}
func (*StreamEventsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_e61775c223303111, []int{5}
}

func (m *StreamEventsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_StreamEventsResponse.Unmarshal(m, b)
}
func (m *StreamEventsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_StreamEventsResponse.Marshal(b, m, deterministic)
}
func (m *StreamEventsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_StreamEventsResponse.Merge(m, src)
}
func (m *StreamEventsResponse) XXX_Size() int {
	return xxx_messageInfo_StreamEventsResponse.Size(m)
}
func (m *StreamEventsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_StreamEventsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_StreamEventsResponse proto.InternalMessageInfo

func (m *StreamEventsResponse) GetSourceTime() uint64 {
	if m != nil {
		return m.SourceTime
	}
	return 0
}

func (m *StreamEventsResponse) GetDataPoint() string {
	if m != nil {
		return m.DataPoint
	}
	return ""
}

func (m *StreamEventsResponse) GetEventType() string {
	if m != nil {
		return m.EventType
	}
	return ""
}

func (m *StreamEventsResponse) GetMetadata() []byte {
	if m != nil {
		return m.Metadata
	}
	return nil
}

func (m *StreamEventsResponse) GetPayload() []byte {
	if m != nil {
		return m.Payload
	}
	return nil
}

func init() {
	proto.RegisterType((*OnActivateRequest)(nil), "adapter.OnActivateRequest")
	proto.RegisterType((*OnActivateResponse)(nil), "adapter.OnActivateResponse")
	proto.RegisterType((*OnDeactivateRequest)(nil), "adapter.OnDeactivateRequest")
	proto.RegisterType((*OnDeactivateResponse)(nil), "adapter.OnDeactivateResponse")
	proto.RegisterType((*StreamEventsRequest)(nil), "adapter.StreamEventsRequest")
	proto.RegisterType((*StreamEventsResponse)(nil), "adapter.StreamEventsResponse")
}

func init() { proto.RegisterFile("adapter.proto", fileDescriptor_e61775c223303111) }

var fileDescriptor_e61775c223303111 = []byte{
	// 274 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x74, 0x92, 0xcf, 0x4e, 0xc2, 0x40,
	0x10, 0xc6, 0xb3, 0x8a, 0x22, 0x93, 0x7a, 0x70, 0xa8, 0x66, 0x53, 0xd1, 0x34, 0x3d, 0xf5, 0x44,
	0x8c, 0x3e, 0x01, 0x09, 0x9c, 0x0c, 0x81, 0x14, 0x5e, 0x60, 0xa4, 0x73, 0x68, 0x22, 0xdd, 0xda,
	0x0e, 0x24, 0xbc, 0x91, 0x0f, 0xe7, 0x43, 0x18, 0x5b, 0xda, 0x2e, 0x5a, 0x8f, 0xdf, 0x9f, 0x7c,
	0xc9, 0xfe, 0x66, 0xe1, 0x9a, 0x62, 0xca, 0x84, 0xf3, 0x71, 0x96, 0x1b, 0x31, 0xd8, 0x3f, 0xca,
	0x60, 0x08, 0x37, 0x8b, 0x74, 0xb2, 0x91, 0x64, 0x4f, 0xc2, 0x11, 0x7f, 0xec, 0xb8, 0x90, 0xc0,
	0x05, 0xb4, 0xcd, 0x22, 0x33, 0x69, 0xc1, 0xc1, 0x2d, 0x0c, 0x17, 0xe9, 0x94, 0xe9, 0x57, 0xf9,
	0x0e, 0xdc, 0x53, 0xbb, 0xad, 0xaf, 0x24, 0x67, 0xda, 0xce, 0xf6, 0x9c, 0x4a, 0x51, 0xd7, 0x3f,
	0x15, 0xb8, 0xa7, 0x7e, 0xd5, 0xc7, 0x47, 0x80, 0x95, 0xd9, 0xe5, 0x1b, 0x5e, 0x27, 0x5b, 0xd6,
	0xca, 0x57, 0x61, 0x2f, 0xb2, 0x1c, 0x1c, 0xc1, 0x60, 0x4a, 0x42, 0x4b, 0x93, 0xa4, 0xa2, 0xcf,
	0x7c, 0x15, 0x0e, 0xa2, 0xd6, 0xf8, 0x49, 0xcb, 0xbd, 0xf5, 0x21, 0x63, 0x7d, 0x5e, 0xa5, 0x8d,
	0x81, 0x1e, 0x5c, 0xcd, 0x59, 0x28, 0x26, 0x21, 0xdd, 0xf3, 0x55, 0xe8, 0x44, 0x8d, 0x46, 0x0d,
	0xfd, 0x25, 0x1d, 0xde, 0x0d, 0xc5, 0xfa, 0xa2, 0x8c, 0x6a, 0xf9, 0xfc, 0xa5, 0xa0, 0x3f, 0xa9,
	0x38, 0xe1, 0x0c, 0xa0, 0x45, 0x82, 0xde, 0xb8, 0xc6, 0xf9, 0x07, 0x9e, 0x77, 0xdf, 0x99, 0x1d,
	0x1f, 0x39, 0x07, 0xc7, 0x7e, 0x3c, 0x8e, 0x9a, 0x72, 0x07, 0x2b, 0xef, 0xe1, 0x9f, 0xb4, 0x1a,
	0x7b, 0x52, 0xf8, 0x0a, 0x8e, 0xcd, 0xde, 0x9a, 0xeb, 0xb8, 0x94, 0x35, 0xd7, 0x75, 0xb0, 0xb7,
	0xcb, 0xf2, 0x6b, 0xbc, 0x7c, 0x07, 0x00, 0x00, 0xff, 0xff, 0x3b, 0x35, 0x4a, 0xe6, 0x2b, 0x02,
	0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// AdapterClient is the client API for Adapter service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type AdapterClient interface {
	OnActivate(ctx context.Context, in *OnActivateRequest, opts ...grpc.CallOption) (*OnActivateResponse, error)
	StreamEvents(ctx context.Context, in *StreamEventsRequest, opts ...grpc.CallOption) (Adapter_StreamEventsClient, error)
	OnDeactivate(ctx context.Context, in *OnDeactivateRequest, opts ...grpc.CallOption) (*OnDeactivateResponse, error)
}

type adapterClient struct {
	cc *grpc.ClientConn
}

func NewAdapterClient(cc *grpc.ClientConn) AdapterClient {
	return &adapterClient{cc}
}

func (c *adapterClient) OnActivate(ctx context.Context, in *OnActivateRequest, opts ...grpc.CallOption) (*OnActivateResponse, error) {
	out := new(OnActivateResponse)
	err := c.cc.Invoke(ctx, "/adapter.Adapter/OnActivate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *adapterClient) StreamEvents(ctx context.Context, in *StreamEventsRequest, opts ...grpc.CallOption) (Adapter_StreamEventsClient, error) {
	stream, err := c.cc.NewStream(ctx, &_Adapter_serviceDesc.Streams[0], "/adapter.Adapter/StreamEvents", opts...)
	if err != nil {
		return nil, err
	}
	x := &adapterStreamEventsClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type Adapter_StreamEventsClient interface {
	Recv() (*StreamEventsResponse, error)
	grpc.ClientStream
}

type adapterStreamEventsClient struct {
	grpc.ClientStream
}

func (x *adapterStreamEventsClient) Recv() (*StreamEventsResponse, error) {
	m := new(StreamEventsResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *adapterClient) OnDeactivate(ctx context.Context, in *OnDeactivateRequest, opts ...grpc.CallOption) (*OnDeactivateResponse, error) {
	out := new(OnDeactivateResponse)
	err := c.cc.Invoke(ctx, "/adapter.Adapter/OnDeactivate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// AdapterServer is the server API for Adapter service.
type AdapterServer interface {
	OnActivate(context.Context, *OnActivateRequest) (*OnActivateResponse, error)
	StreamEvents(*StreamEventsRequest, Adapter_StreamEventsServer) error
	OnDeactivate(context.Context, *OnDeactivateRequest) (*OnDeactivateResponse, error)
}

func RegisterAdapterServer(s *grpc.Server, srv AdapterServer) {
	s.RegisterService(&_Adapter_serviceDesc, srv)
}

func _Adapter_OnActivate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OnActivateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdapterServer).OnActivate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/adapter.Adapter/OnActivate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdapterServer).OnActivate(ctx, req.(*OnActivateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Adapter_StreamEvents_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(StreamEventsRequest)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(AdapterServer).StreamEvents(m, &adapterStreamEventsServer{stream})
}

type Adapter_StreamEventsServer interface {
	Send(*StreamEventsResponse) error
	grpc.ServerStream
}

type adapterStreamEventsServer struct {
	grpc.ServerStream
}

func (x *adapterStreamEventsServer) Send(m *StreamEventsResponse) error {
	return x.ServerStream.SendMsg(m)
}

func _Adapter_OnDeactivate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(OnDeactivateRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AdapterServer).OnDeactivate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/adapter.Adapter/OnDeactivate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AdapterServer).OnDeactivate(ctx, req.(*OnDeactivateRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Adapter_serviceDesc = grpc.ServiceDesc{
	ServiceName: "adapter.Adapter",
	HandlerType: (*AdapterServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "OnActivate",
			Handler:    _Adapter_OnActivate_Handler,
		},
		{
			MethodName: "OnDeactivate",
			Handler:    _Adapter_OnDeactivate_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "StreamEvents",
			Handler:       _Adapter_StreamEvents_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "adapter.proto",
}
